Tk extconf.rb failed
06/01/2011 02:59 PM - yugui (Yuki Sonoda)

Status: Closed

Priority: Normal

Assignee: nagai (Hidetoshi Nagai)

Target version: 1.9.3

ruby -v: ruby 1.9.3dev (2011-06-01 trunk 31887) |Backport:
[i386-darwin9.8.0]

Description

=begin

On Mac OS X 10.5, with the folloing configure options, ext/tk/extconf.rb failed.

"--prefix=/Users/yugui/local' '--program-suffix=-trunk’ '--with-rubylibprefix=/Users/yugui/local/lib/ruby-trunk’ '--with-soname=ruby-trunk’
"--with-ridir=/Users/yugui/local/share/ri-trunk’ '--docdir=/Users/yugui/local/share/doc/ruby-trunk’
"--with-rubyhdrdir=/Users/yugui/local/include/ruby-1.9.1-trunk’ '--with-gdbm-dir=/opt/local' '--with-libyaml-dir=/opt/local’
'--with-libffi-dir=/opt/local' '--with-openssl-dir=/opt/local' '--disable-install-capi' 'CC=ccache gcc'

Here is the console message:

configuring tk

check functions.........

check struct members..

check libraries....

Use ActiveTcl libraries (if available).

Search tclConfig.sh and tkConfig.sh..........cccoeciviiiiiniienee

Valid [tclConfig.sh, tkConfig.sh] are found in "/System/Library/Frameworks/Tcl.framework",
"/System/Library/Frameworks/Tk.framework"], ["/usr/lib", "/usr/lib"], ["/opt/local/lib", "/opt/local/lib"],
["/System/Library/Frameworks/Tcl.framework/Versions/Current", "/System/Library/Frameworks/Tk.framework/Versions/Current"],
['/System/Library/Frameworks/Tcl.framework/Versions/8.4", "/System/Library/Frameworks/Tk.framework/Versions/8.4"
Use [tclConfig.sh, tkConfig.sh] == ["/System/Library/Frameworks/Tcl.framework/tclConfig.sh",
"/System/Library/Frameworks/Tk.framework/tkConfig.sh"]

Use MacOS X Frameworks.

/Users/yugui/dev/ruby/mri/master/ext/tk/extconf.rb:1970:in <top (required)>": can't convert nil into String (TypeError)
from ../../ext/extmk.rb:164:inload'

from ../../ext/extmk.rb:164:in extmake'

from ../../ext/extmk.rb:454:inblock in '

from ../../ext/extmk.rb:450:in each'

from ../../ext/extmk.rb:450:in’'

make: *** [exts.mk] Error 1

This issue is also a release blocker of Ruby 1.9.2.
=end

Related issues:
Follows Backport192 - Backport #4802: Please backport r31742 Rejected

Associated revisions

Revision eeccb593 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

e ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@31894 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 31894 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

e ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]

Revision 31894 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

¢ ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]
Revision 31894 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

e ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]
Revision 31894 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

o ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]
Revision 31894 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

e ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]
Revision 31894 - 06/01/2011 03:46 PM - nagai (Hidetoshi Nagai)

e ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]

Revision b8f2f0e5 - 07/03/2011 12:24 PM - yugui (Yuki Sonoda)
merges a part of r31742, 131947, r31894, r3202 and r32287 from trunk

into ruby_1_9 2.

* ex/tk/extconf.rb: support for the latest ActiveTcl with mingw.

* ext/tk/extconf.rb: fails on Mac OS X [Ruby 1.9 - Bug #4853]

* ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]

o ext/tk/extconf.rb: use $defs not SCPPFLAGS to get rid of command line escape issues on Windows. fixed #4835.

git-svn-id: svn+ssh:/ci.ruby-lang.org/ruby/branches/ruby_1_9_2@32386 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 06/02/2011 12:46 AM - nagai (Hidetoshi Nagai)
- Status changed from Open to Closed
- % Done changed from 0 to 100

This issue was solved with changeset r31894.
Yuki, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.
May Ruby be with you.

e ext/tk/extconf.rb: fix for uninitialized global variables. [Ruby 1.9 - Bug #4811]
